{
    allowedItemIdentifiers = (
        NewPalette, EditPalette, Forward, Backward, PalettePopUp, 
        NSToolbarSeparatorItem, NSToolbarSpaceItem, NSToolbarFlexibleSpaceItem, NSToolbarCustomizeToolbarItem, ShowPaletteTemplate
    ); 
    defaultItemIdentifiers = (
       Backward, Forward, PalettePopUp, "基本.palette", NSToolbarFlexibleSpaceItem, NSToolbarSeparatorItem, EditPalette, NewPalette
    ); 
    itemInfoByIdentifier = {
        PalettePopUp = {
            action = "openPaletteFromMenu:"; 
            label = "パレット"; 
            paletteLabel = "パレット"; 
        }; 
        EditPalette = {
            action = "editPalette:"; 
            imageName = EditPalette; 
            label = "編集"; 
            paletteLabel = "パレットの編集"; 
            toolTip = "パレットの編集"; 
        }; 
        NewPalette = {
            action = "newPalette:"; 
            imageName = "NewPalette"; 
            label = "新規"; 
            paletteLabel = "新規パレット"; 
            toolTip = "新規パレット"; 
            target = firstResponder;
        }; 
        Forward = {
            action = "forward:"; 
            imageName = Forward; 
            label = "次へ"; 
            paletteLabel = "次へ"; 
            toolTip = "次へ"; 
        }; 
        Backward = {
            action = "backward:"; 
            imageName = Back; 
            label = "前へ"; 
            paletteLabel = "前へ"; 
            toolTip = "前へ"; 
        }; 
        
        /* This item is a template for the 'show palette' items which are dynamically created */
        ShowPaletteTemplate = {
            action = "openPaletteFromToolbar:"; 
            imageName = GenericPalette; 
            label = "%@";
            paletteLabel = "%@ パレット"; 
            toolTip = "Show %@ パレット"; 
            target = firstResponder;
        }; 
   }; 
}